# class Gtk::ComboBox

### Public Class Methods

new(options={}) click to toggle source

    # File lib/gtk3/combo-box.rb, line 20
    def initialize(options={})
      entry = options[:entry]
      model = options[:model]
      area  = options[:area]

      if entry
        if model
          initialize_new_with_model_and_entry(model)
        elsif area
          initialize_new_with_area_and_entry(area)
        else
          initialize_new_with_entry
        end
      else
        if model
          initialize_new_with_model(model)
        elsif area
          initialize_new_with_area(area)
        else
          initialize_new
        end
      end
    end

Also aliased as: initialize_raw

### Public Instance Methods

active_iter() click to toggle source

    # File lib/gtk3/combo-box.rb, line 45
    def active_iter
      found, iter = active_iter_raw
      if found
        iter.model = model
        iter
      else
        nil
      end
    end

Also aliased as: active_iter_raw
active_iter_raw()
Alias for: active_iter
initialize_raw(options={})
Alias for: new